/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.service;

import org.springblade.modules.shopping.entity.SpecCats;
import org.springblade.modules.shopping.vo.SpecCatsVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 规格分类表 服务类
 *
 * @author BladeX
 * @since 2022-02-13
 */
public interface ISpecCatsService extends IService<SpecCats> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param specCats
	 * @return
	 */
	IPage<SpecCatsVO> selectSpecCatsPage(IPage<SpecCatsVO> page, SpecCatsVO specCats);

	/**
	 * 获取商品规格数据
	 *
	 * @param goodsId 商品ID
	 * @param catId 分类ID
	 * @return List
	 */
	List<SpecCatsVO> selectSpecItems(Long goodsId, Long catId);

}
